package com.ruoyi.tcZz.mapper;

import java.util.List;
import com.ruoyi.tcZz.domain.TcMap;
import org.apache.ibatis.annotations.Param;

/**
 * 地图统计Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public interface TcMapMapper 
{
    /**
     * 查询地图统计
     * 
     * @param id 地图统计主键
     * @return 地图统计
     */
    public TcMap selectTcMapById(Long id);

    /**
     * 查询地图统计列表
     * 
     * @param tcMap 地图统计
     * @return 地图统计集合
     */
    public List<TcMap> selectTcMapList(TcMap tcMap);

    /**
     * 新增地图统计
     * 
     * @param tcMap 地图统计
     * @return 结果
     */
    public int insertTcMap(TcMap tcMap);

    /**
     * 修改地图统计
     * 
     * @param tcMap 地图统计
     * @return 结果
     */
    public int updateTcMap(TcMap tcMap);

    /**
     * 删除地图统计
     * 
     * @param id 地图统计主键
     * @return 结果
     */
    public int deleteTcMapById(Long id);

    /**
     * 批量删除地图统计
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcMapByIds(Long[] ids);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(@Param("isStatus") Integer isStatus, @Param("ids") List<String> ids);
}
